org.apache.olingo.client.api.communication.response

## Interface AsyncResponseWrapper<R extends ODataResponse>

-     public interface AsyncResponseWrapper<R extends ODataResponse>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncResponseWrapper<ODataDeleteResponse>` | `asyncDelete()` A client can request that the DELETE should be executed asynchronously.
    `ODataDeleteResponse` | `delete()` DeleteA DELETE request sent to the status monitor resource requests that the asynchronous processing be canceled.
    `AsyncResponseWrapper<R>` | `forceNextMonitorCheck(URI uri)` Specifies the location for the next monitor check.
    `R` | `getODataResponse()` Gets the real response.
    `boolean` | `isDone()` Checks if asynchronous processing has been terminated.
    `boolean` | `isPreferenceApplied()` Checks for preference applied.

- - ### Method Detail

    - #### isPreferenceApplied

          boolean isPreferenceApplied()

      Checks for preference applied.
      Returns:
        'TRUE' if respond-async preference has been applied; 'FALSE' otherwise.

    - #### isDone

          boolean isDone()

      Checks if asynchronous processing has been terminated.
      Returns:
        'TRUE' the process has been terminated; 'FALSE' otherwise.

    - #### getODataResponse

          R getODataResponse()

      Gets the real response.
      If asynchronous processing has been terminated then the response will be returned immediately. This method retries after a delay, specified by the 'Retry-After' header indicating the time, in seconds, the client should wait before retry. If there isn't any 'Retry-After' response header available, a default of 5 seconds will be chosen. The query will be retried for a maximum of five times.
      Returns:
        real OData response.

    - #### forceNextMonitorCheck

          AsyncResponseWrapper<R> forceNextMonitorCheck(URI uri)

      Specifies the location for the next monitor check.
      Overrides the location value retrieved among headers and nullifies the previous valid response (if exists).
      Parameters:
        `uri` - monitor location.
      Returns:
        the current async response wrapper.

    - #### delete

          ODataDeleteResponse delete()

      DeleteA DELETE request sent to the status monitor resource requests that the asynchronous processing be canceled. A 200 OK or to a 204 No Content response indicates that the asynchronous processing has been successfully canceled.
      Returns:
        OData delete response.

    - #### asyncDelete

          AsyncResponseWrapper<ODataDeleteResponse> asyncDelete()

      A client can request that the DELETE should be executed asynchronously. A 202 Accepted response indicates that the cancellation is being processed asynchronously; the client can use the returned Location header (which MUST be different from the status monitor resource of the initial request) to query for the status of the cancellation. If a delete request is not supported by the service, the service returns 405 Method Not Allowed.
      Returns:
        OData delete response.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.